Cyan Web API - Version 1


GET api/applicationVersions/{applicationVersionId}

            Gets an ApplicationVersion.
            

Request Information

Parameters

NameDescriptionAdditional information
applicationVersionId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "applicationVersionId": "3adf4fe8-804c-40ea-a714-464ae6bbe46b",
  "applicationId": "0efee897-b5db-495c-8382-097e89f320ae",
  "name": "sample string 3",
  "description": "sample string 4",
  "version": "sample string 5",
  "packageUrl": "sample string 6",
  "applicationName": "sample string 7",
  "createdDateUtc": "2026-05-14T07:02:10.8456538+00:00",
  "updatedDateUtc": "2026-05-14T07:02:10.8456538+00:00"
}

application/xml, text/xml

Sample:
<ApplicationVersionRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-05-14T07:02:10.8456538+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-05-14T07:02:10.8456538+00:00</UpdatedDateUtc>
  <ApplicationId>0efee897-b5db-495c-8382-097e89f320ae</ApplicationId>
  <ApplicationName>sample string 7</ApplicationName>
  <ApplicationVersionId>3adf4fe8-804c-40ea-a714-464ae6bbe46b</ApplicationVersionId>
  <Description>sample string 4</Description>
  <Name>sample string 3</Name>
  <PackageUrl>sample string 6</PackageUrl>
  <Version>sample string 5</Version>
</ApplicationVersionRepresentation>